REScala compilation errors

Moderatoren: pmueller, SE - Design and Construction

llllllll
Erstie
Erstie
Beiträge: 19
Registriert: 29. Okt 2017 21:47

REScala compilation errors

Beitrag von llllllll » 11. Jul 2018 13:07

Hello,

I used the manual from REScala to compile code via sbt console. I tried to run both examples from slides 5-RP2.pdf Last and Snapshot, and neither .get nor .snapshot are availible according to the compiler. What am I doing wrong?

Thank you.

pmueller
Moderator
Moderator
Beiträge: 87
Registriert: 25. Jan 2018 11:14

Re: REScala compilation errors

Beitrag von pmueller » 11. Jul 2018 13:25

Hi,

which version of REScala are you using? We used 0.20 in the exercises and in this version, .snapshot works. In which example is .get used?

Best,
Patrick

llllllll
Erstie
Erstie
Beiträge: 19
Registriert: 29. Okt 2017 21:47

Re: REScala compilation errors

Beitrag von llllllll » 11. Jul 2018 13:48

Hello,

I just realized I was using wrong Slides for the example of using Last. Yet the error for snapshot persists. According to the manual of REScala :

Code: Alles auswählen

scalaVersion := "2.12.4"

resolvers += Resolver.bintrayRepo("stg-tud", "maven")

libraryDependencies += "de.tuda.stg" %% "rescala" % "0.22.0"
the version must be 0.22.0 I assume. And the compiler returns an error that value snapshot is not a member of rescala.Evt[Int]. Thank you.

llllllll
Erstie
Erstie
Beiträge: 19
Registriert: 29. Okt 2017 21:47

Re: REScala compilation errors

Beitrag von llllllll » 11. Jul 2018 14:06

I downgraded the REScala version manually by using build.sbt :

Code: Alles auswählen

scalaVersion := "2.12.4"

resolvers += Resolver.bintrayRepo("stg-tud", "maven")

libraryDependencies += "de.tuda.stg" %% "rescala" % "0.20.0"
which successfully runs version 0.20.0 and gives me access to .snapshot.

Antworten

Zurück zu „Software Engineering - Design and Construction“